Main Page Class List Class Members

# Nv::Blast::ExtImpactSettings Struct Reference

`#include <NvBlastExtImpactDamageManager.h>`

List of all members.

## Public Member Functions
| ExtImpactSettings ()
## Public Attributes
float | damageFalloffRadiusFactor
| damage attenuation radius factor. Given a radius R for full damage, for [R, R * damageFalloffRadiusFactor] radius interval damage attenuates down to zero at the outer radius.
ExtImpactDamageFunction | damageFunction
| custom damage function, can be nullptr, default internal one will be used in that case.
void * | damageFunctionData
| data to be passed in custom damage function.
float | damageRadiusMax
| the maximum radius in which full damage is applied.
float | damageThresholdMax
| maximum damage fraction threshold to be applied. Range [0, 1]. For example 0.8 won't allow more then 80% of health damage to be applied.
float | damageThresholdMin
| minimum damage fraction threshold to be applied. Range [0, 1]. For example 0.1 filters all damage below 10% of health.
float | hardness
| hardness of material for impact damage. Damage = impulse / hardness . This damage is capped by the material's health.
bool | isSelfCollissionEnabled
| family's self collision enabled.
bool | shearDamage
| use shear damage program (otherwise simple radial damage is used)

## Detailed Description

Impact Damage Manager Settings.

## Constructor & Destructor Documentation

Nv::Blast::ExtImpactSettings::ExtImpactSettings | ( |  | ) | `[inline]`

## Member Data Documentation

float Nv::Blast::ExtImpactSettings::damageFalloffRadiusFactor

damage attenuation radius factor. Given a radius R for full damage, for [R, R * damageFalloffRadiusFactor] radius interval damage attenuates down to zero at the outer radius.

ExtImpactDamageFunction Nv::Blast::ExtImpactSettings::damageFunction

custom damage function, can be nullptr, default internal one will be used in that case.

void* Nv::Blast::ExtImpactSettings::damageFunctionData

data to be passed in custom damage function.

float Nv::Blast::ExtImpactSettings::damageRadiusMax

the maximum radius in which full damage is applied.

float Nv::Blast::ExtImpactSettings::damageThresholdMax

maximum damage fraction threshold to be applied. Range [0, 1]. For example 0.8 won't allow more then 80% of health damage to be applied.

float Nv::Blast::ExtImpactSettings::damageThresholdMin

minimum damage fraction threshold to be applied. Range [0, 1]. For example 0.1 filters all damage below 10% of health.

float Nv::Blast::ExtImpactSettings::hardness

hardness of material for impact damage. Damage = impulse / hardness . This damage is capped by the material's health.

bool Nv::Blast::ExtImpactSettings::isSelfCollissionEnabled

family's self collision enabled.

bool Nv::Blast::ExtImpactSettings::shearDamage

use shear damage program (otherwise simple radial damage is used)

The documentation for this struct was generated from the following file:

- sdk/extensions/physx/include/NvBlastExtImpactDamageManager.h